Summary:	Lincity - a Next Generation city/country simulation
Summary(pl.UTF-8):	Lincity - symulator miasta/kraju Następnej Generacji
Name:		lincity-ng
Version:	2.0
Release:	3
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://download.berlios.de/lincity-ng/%{name}-%{version}.tar.bz2
# Source0-md5:	1bd0f58e0f2b131d70044f4230600ed1
Patch0:		%{name}-desktop.patch
Patch1:		format-security.patch
URL:		http://lincity-ng.berlios.de/wiki/index.php/Main_Page
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel >= 1.2.5
BuildRequires:	SDL_gfx-devel >= 2.0.13
BuildRequires:	SDL_image-devel >= 1.2.3
BuildRequires:	SDL_mixer-devel >= 1.2.4
BuildRequires:	SDL_ttf-devel >= 2.0.8
BuildRequires:	gettext-tools
BuildRequires:	jam >= 2.5
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.6.11
BuildRequires:	physfs-devel >= 1.0.0
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel >= 1.0
# needs jam from jam.spec
BuildConflicts:	boost-jam
Requires:	SDL >= 1.2.5
Requires:	SDL_gfx >= 2.0.13
Requires:	SDL_image >= 1.2.3
Requires:	SDL_mixer >= 1.2.4
Requires:	SDL_ttf >= 2.0.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		filterout	-DNDEBUG

%description
You are required to build and maintain a city. You must feed, house,
provide jobs and goods for your residents. You can build a sustainable
economy with the help of renewable energy and recycling, or you can go
for broke and build rockets to escape from a pollution ridden and
resource starved planet, it's up to you. Due to the finite resources
available in any one place, this is not a game that you can leave for
long periods of time.

%description -l pl.UTF-8
Trzeba wybudować miasto i nim zarządzać. Trzeba karmić mieszkańców,
zapewnić im mieszkanie, pracę i inne dobra. Można stworzyć solidną
gospodarkę korzystając z odnawialnych źródeł energii i przetwórstwa
odpadów. Można też wielkim wysiłkiem zbudować rakiety, aby uciec z
zanieczyszczonej, pozbawionej zasobów planety. Całe życie miasta
znajduje się w rękach gracza.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%{__sed} 's/ -O3 -g / /' -i Jamrules

%build
%configure
jam

%install
rm -rf $RPM_BUILD_ROOT

jam -s DESTDIR=$RPM_BUILD_ROOT install

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING-* CREDITS README TODO RELNOTES
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.pal
%{_datadir}/%{name}/*.xml
%{_datadir}/%{name}/fonts
%{_datadir}/%{name}/images
%{_datadir}/%{name}/gui
%{_datadir}/%{name}/sounds
%{_datadir}/%{name}/music
%{_datadir}/%{name}/opening
%dir %{_datadir}/%{name}/help
%lang(ca) %{_datadir}/%{name}/help/ca
%lang(cs) %{_datadir}/%{name}/help/cs
%lang(de) %{_datadir}/%{name}/help/de
%lang(en) %{_datadir}/%{name}/help/en
%lang(es) %{_datadir}/%{name}/help/es
%lang(fr) %{_datadir}/%{name}/help/fr
%lang(gl) %{_datadir}/%{name}/help/gl
%lang(nl) %{_datadir}/%{name}/help/nl
%lang(pt_BR) %{_datadir}/%{name}/help/pt_BR
%lang(ru) %{_datadir}/%{name}/help/ru
%lang(sv) %{_datadir}/%{name}/help/sv
%lang(tr) %{_datadir}/%{name}/help/tr
%dir %{_datadir}/%{name}/locale
%dir %{_datadir}/%{name}/locale/gui
%lang(ca) %{_datadir}/%{name}/locale/ca.po
%lang(ca) %{_datadir}/%{name}/locale/gui/ca.po
%lang(cs) %{_datadir}/%{name}/locale/cs.po
%lang(cs) %{_datadir}/%{name}/locale/gui/cs.po
%lang(da) %{_datadir}/%{name}/locale/da.po
%lang(de) %{_datadir}/%{name}/locale/de.po
%lang(de) %{_datadir}/%{name}/locale/gui/de.po
%lang(es) %{_datadir}/%{name}/locale/es.po
%lang(es) %{_datadir}/%{name}/locale/gui/es.po
%lang(fr) %{_datadir}/%{name}/locale/fr.po
%lang(fr) %{_datadir}/%{name}/locale/gui/fr.po
%lang(gl) %{_datadir}/%{name}/locale/gl.po
%lang(gl) %{_datadir}/%{name}/locale/gui/gl.po
%lang(ja) %{_datadir}/%{name}/locale/ja.po
%lang(ja) %{_datadir}/%{name}/locale/gui/ja.po
%lang(nl) %{_datadir}/%{name}/locale/nl.po
%lang(nl) %{_datadir}/%{name}/locale/gui/nl.po
%lang(pl) %{_datadir}/%{name}/locale/pl.po
%lang(pl) %{_datadir}/%{name}/locale/gui/pl.po
%lang(pt_BR) %{_datadir}/%{name}/locale/pt_BR.po
%lang(pt_BR) %{_datadir}/%{name}/locale/gui/pt_BR.po
%lang(ru) %{_datadir}/%{name}/locale/ru.po
%lang(ru) %{_datadir}/%{name}/locale/gui/ru.po
%lang(sv) %{_datadir}/%{name}/locale/sv.po
%lang(sv) %{_datadir}/%{name}/locale/gui/sv.po
%lang(tr) %{_datadir}/%{name}/locale/tr.po
%lang(tr) %{_datadir}/%{name}/locale/gui/tr.po
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%changelog
* Thu Jul 13 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lincity-ng.git;a=log;h=auto/th/lincity-ng-2.0-3

* Thu Jul 13 2017 Jan Rękorajski <baggins@pld-linux.org> a689e2d
- fix format string errors
- rel 3

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> d30a6e5
- updated gettext BR

* Thu May 07 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 134a82e
- release 2

* Sat Feb 28 2009 sparky <sparky@pld-linux.org> 20d4f5c
- Group: X11/Applications/Games

* Tue Feb 03 2009 Jakub Bogusz <qboosh@pld-linux.org> 42d2f15
- reformatted using PROPER encoding

* Fri Jan 30 2009 lisu <lisu@pld-linux.org> a5187ca
- fix typo in install section

* Fri Jan 30 2009 lisu <lisu@pld-linux.org> 14ce46d
- up to final 2.0 version
- merge
- add Catalan help files, and Danish translation

* Fri Jan 23 2009 Marcin Banasiak <marcin.banasiak@gmail.com> da766eb
- BC: boost-jam (needs jam from jam.spec to build)
- release 3

* Mon Jan 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 188b9e8
- release 2

* Mon Nov 05 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 4cddfed
- up to 1.1.2

* Thu Aug 23 2007 Jakub Bogusz <qboosh@pld-linux.org> de7844c
- restored pl typo fix

* Thu Aug 23 2007 lisu <lisu@pld-linux.org> b19e60c
- adapted for 1.1.1 version on HEAD branch

* Thu Aug 23 2007 lisu <lisu@pld-linux.org> 5dc4c78
- 1.1.1 version
- pt_BR help files included
- merged

* Sun Aug 12 2007 lisu <lisu@pld-linux.org> c2759a9
- ups, wrong branch, changes reversed

* Sun Aug 12 2007 lisu <lisu@pld-linux.org> 8e30744
- desktop.patch added

* Sun Aug 12 2007 Jakub Bogusz <qboosh@pld-linux.org> e6cfc40
- pl fix

* Sun Aug 12 2007 lisu <lisu@pld-linux.org> 6f563b2
- pl

* Sun Aug 12 2007 lisu <lisu@pld-linux.org> f650e83
- desktop.patch added
- GPL v2+ license

* Wed Mar 14 2007 sparky <sparky@pld-linux.org> 2b926ac
- added translations, builds and works, rel 1

* Wed Mar 14 2007 sparky <sparky@pld-linux.org> 63b557e
- started update, failt to build

